summaryrefslogtreecommitdiffstats
path: root/games/scummvm-libretro
diff options
context:
space:
mode:
author Hunter Sezen <ovariegata@yahoo.com>2016-08-01 12:11:09 +0100
committer David Spencer <idlemoor@slackbuilds.org>2016-08-05 18:10:41 +0100
commit5645b94754dbce456ce9f0045ff1e22022ab54f2 (patch)
treef2acd987cdcbbba62f8ebafd09c9ef57abc21e37 /games/scummvm-libretro
parent6a0ecdb21cb62d9b2d67c1ac49ade384c7efab99 (diff)
downloadslackbuilds-5645b94754dbce456ce9f0045ff1e22022ab54f2.tar.gz
slackbuilds-5645b94754dbce456ce9f0045ff1e22022ab54f2.tar.xz
games/scummvm-libretro: Added (ScummVM with libretro backend).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'games/scummvm-libretro')
-rw-r--r--games/scummvm-libretro/README27
-rw-r--r--games/scummvm-libretro/scummvm-libretro.SlackBuild96
-rw-r--r--games/scummvm-libretro/scummvm-libretro.info10
-rw-r--r--games/scummvm-libretro/slack-desc19
4 files changed, 152 insertions, 0 deletions
diff --git a/games/scummvm-libretro/README b/games/scummvm-libretro/README
new file mode 100644
index 0000000000..47aa3ed2e6
--- /dev/null
+++ b/games/scummvm-libretro/README
@@ -0,0 +1,27 @@
+ScummVM is an interpreter for point-and-click adventure games that can be used
+as a libretro core.
+
+ScummVM is a program which allows you to run certain classic graphical
+point-and-click adventure games, provided you already have their data files.
+The clever part about this: ScummVM just replaces the executables shipped with
+the game, allowing you to play them on systems for which they were never
+designed!
+
+Originally it was designed to run LucasArts' SCUMM games, such as Maniac
+Mansion, Monkey Island, Day of the Tentacle or Sam and Max. SCUMM stands for
+'Script Creation Utility for Maniac Mansion', which was the first game for
+which LucasArts designed this system. And much later it gave its name to
+ScummVM ('VM' meaning Virtual Machine).
+
+Over time support for a lot of non-SCUMM games has been added, and ScummVM now
+also supports many of Sierra's AGI and SCI games (such as King's Quest 1-6,
+Space Quest 1-5, ...), Discworld 1 and 2, Simon the Sorcerer 1 and 2, Beneath A
+Steel Sky, Lure of the Temptress, Broken Sword I and II, Flight of the Amazon
+Queen, Gobliiins 1-3, The Legend of Kyrandia series, many of Humongous
+Entertainment's children's SCUMM games (including Freddi Fish and Putt Putt
+games) and many more. You can find a full list with details on which adventures
+are supported and how well on the compatibility page. ScummVM is continually
+improving, so check back often.
+
+To build the debugging symbols use:
+ DEBUG=1 ./scummvm-libretro.SlackBuild
diff --git a/games/scummvm-libretro/scummvm-libretro.SlackBuild b/games/scummvm-libretro/scummvm-libretro.SlackBuild
new file mode 100644
index 0000000000..a5dc04ad00
--- /dev/null
+++ b/games/scummvm-libretro/scummvm-libretro.SlackBuild
@@ -0,0 +1,96 @@
+#!/bin/sh
+
+# Slackware build script for ScummVM-libretro
+
+# Copyright 2016 Hunter Sezen
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=scummvm-libretro
+LIBNAM=$(echo $PRGNAM | tr - _)
+VERSION=${VERSION:-2016.07.14_2094f56}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+# requires patching the Makefile to properly use
+# the default CFLAGS and CXXFLAGS are probably fine
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+DEBUG=${DEBUG:-0}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.xz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+make -C backends/platform/libretro/build DEBUG=$DEBUG
+
+install -Dm0644 backends/platform/libretro/build/$LIBNAM.so \
+ $PKG/usr/lib${LIBDIRSUFFIX}/libretro/$LIBNAM.so
+install -Dm0644 $LIBNAM.info $PKG/usr/lib${LIBDIRSUFFIX}/libretro/info/$LIBNAM.info
+
+if [ "${DEBUG:-0}" = "0" ]; then
+ find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+fi
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a doc/* AUTHORS CONTRIBUTING.md COPY* LIBRETRO_CMDLINE.md NEWS README TODO $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/scummvm-libretro/scummvm-libretro.info b/games/scummvm-libretro/scummvm-libretro.info
new file mode 100644
index 0000000000..2338f0142e
--- /dev/null
+++ b/games/scummvm-libretro/scummvm-libretro.info
@@ -0,0 +1,10 @@
+PRGNAM="scummvm-libretro"
+VERSION="2016.07.14_2094f56"
+HOMEPAGE="http://www.libretro.com/"
+DOWNLOAD="http://ks392457.kimsufi.com/orbea/stuff/slackbuilds/src/libretro/scummvm-libretro-2016.07.14_2094f56.tar.xz"
+MD5SUM="0970c5c270c112ab8e58df82c961f96e"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="RetroArch"
+MAINTAINER="Hunter Sezen"
+EMAIL="ovariegata@yahoo.com"
diff --git a/games/scummvm-libretro/slack-desc b/games/scummvm-libretro/slack-desc
new file mode 100644
index 0000000000..9fcf702a44
--- /dev/null
+++ b/games/scummvm-libretro/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+scummvm-libretro: scummvm-libretro (ScummVM with libretro backend)
+scummvm-libretro:
+scummvm-libretro: ScummVM is a program which allows you to run certain classic
+scummvm-libretro: graphical point-and-click adventure games, provided you already
+scummvm-libretro: have their data files. The clever part about this: ScummVM just
+scummvm-libretro: replaces the executables shipped with the games, allowing you to
+scummvm-libretro: play them on systems for which they were never designed!
+scummvm-libretro:
+scummvm-libretro: Homepage: http://www.libretro.com/
+scummvm-libretro:
+scummvm-libretro: